For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGets usage data
      • GETGet aggregated traffic data for a given time period.
      • GET[BETA] Get aggregated metered connections for a given time period.
      • GET[BETA] Get aggregated metered requests for a given time period.
      • GET[BETA] Get impact metrics configurations for a single feature
      • POST[BETA] Save flag level impact metrics configuration
      • GET[BETA] Get impact metrics configuration for the instance
      • POST[BETA] Save instance level impact metrics configuration
      • DEL[BETA] Delete flag level impact metric configuration
      • DEL[BETA] Delete instance level impact metric configuration
      • GETGet application data
      • POSTCreate an application to connect reported metrics
      • DELDelete an application
      • GETGet all applications
      • GETGet application overview
      • GETGet application environment instances (Last 24h)
      • GETGet outdated SDKs
      • GETGet feature metrics
      • GETLast hour of usage and a list of applications that have reported seeing this feature flag
      • GETGet stored custom metrics
      • GETGet metrics in Prometheus format

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIMetrics

[BETA] Save instance level impact metrics configuration

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/impact-metrics/config
POST
/api/admin/impact-metrics/config
$curl -X POST https://app.unleash-instance.example.com/api/admin/impact-metrics/config \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "metricName": "unleash_counter_feature_toggle_usage_total",
> "timeRange": "day",
> "yAxisMin": "auto",
> "aggregationMode": "rps",
> "labelSelectors": {
> "environment": [
> "development"
> ],
> "project": [
> "default"
> ]
> }
>}'
200Successful
1{
2 "id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
3 "metricName": "unleash_counter_feature_toggle_usage_total",
4 "timeRange": "day",
5 "aggregationMode": "rps",
6 "labelSelectors": {
7 "environment": [
8 "development"
9 ],
10 "project": [
11 "default"
12 ]
13 },
14 "displayName": "feature_toggle_usage_total",
15 "yAxisMin": "auto",
16 "source": "internal",
17 "step": "15m",
18 "title": "Feature Toggle Usage",
19 "mode": "write"
20}

Enterprise feature

[BETA] This API is in beta state, which means it may change or be removed in the future.

Saves a configuration for an instance level impact metric chart without a feature flag

Was this page helpful?
Previous

[BETA] Delete flag level impact metric configuration

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

createImpactMetricsConfigSchema
metricNamestringRequired
The Prometheus metric series to query. It includes both unleash prefix and metric type and display name
timeRangeenumRequired
The time range for the metric data.
Allowed values:
yAxisMinenumRequired

Whether the chart should begin at zero on the y-axis.

Allowed values:
aggregationModeenumRequired
The aggregation mode for the metric data.
labelSelectorsmap from strings to lists of stringsRequired
The selected labels and their values for filtering the metric data.
idstringOptional
The unique ULID identifier for this impact metric configuration. Generated automatically if not provided.
titlestringOptional
Optional title for the impact metric chart.
sourceenumOptional
The Prometheus data source for this metric. Defaults to internal.
Allowed values:

Response

impactMetricsConfigSchema
idstring
The unique ULID identifier for this impact metric configuration. Generated automatically if not provided.
metricNamestring
The Prometheus metric series to query. It includes both unleash prefix and metric type and display name
timeRangeenum
The time range for the metric data.
Allowed values:
aggregationModeenum
The aggregation mode for the metric data.
labelSelectorsmap from strings to lists of strings
The selected labels and their values for filtering the metric data.
displayNamestring
The human readable display name of the impact metric
yAxisMinenum

Whether the chart should begin at zero on the y-axis.

Allowed values:
sourceenum
The Prometheus data source for this metric. Defaults to internal.
Allowed values:
stepenum or null
The step interval for querying metrics data. This is automatically calculated from the timeRange and stored when the metric is created or updated.
Allowed values:
titlestring
Optional title for the impact metric chart.
modeenum

The access mode for this impact metric configuration: “read” when referenced by a safeguard, “write” otherwise.

Allowed values: